					<form name="edit" method="post" action="<?php e(HTTP_ACTION); ?>admin/contact/send/<?php e($this->_vars['request']['id']); ?>/"><?php HTML::requires(); ?>
					<img src="<?php Theme::Path(); ?>itemTop.png" width="530" height="10" alt="---" align="absbottom" />
						<div class="listrow"><h2><img src="<?php e(BASE_URL); ?>resource/img/icons/sent.gif" width="16" height="16" align="absmiddle" alt="&gt;" />&nbsp;<?php _e('Send Message'); ?></h2></div>
<?php if (!empty($this->_vars['start'])): ?>
						<div class="listrow">
							<label class="column"><?php _e('Progress Bar'); ?>:</label>
							<div class="fdata"><div class="progress_bg"><span id="bar" class="progress"></span></div><div id="bar_per"></div></div>
						</div>
<script type="text/javascript">
function progressBar (id){
    this._id = id;
    this._percentage = 0;

    this.setPercentage = function (percentage) {
        this._percentage = percentage + this._percentage;
        var width = this._percentage * 3;

        var attributes = {
            width: { to: width }
        };
        var anim = new YAHOO.util.Anim(this._id, attributes, 2);
        anim.animate();

        YAHOO.util.Dom.get(this._id + '_per').innerHTML = this._percentage + '%'; 
    };
}

function barrel(page) {
    var callback =
    {
        success: function(o) {
            var result = YAHOO.lang.JSON.parse (o.responseText);

            var table = new progressBar('bar');
            table.setPercentage(result.per);


            if (result.complete){
                YAHOO.util.Dom.setStyle("wait", "display", "none");
                YAHOO.util.Dom.setStyle("nextlink", "display", "inline");
            } else {
                trigger(result.next);
            }
        },
        failure: function(o) {
        },
        argument: []
    }
    YAHOO.util.Connect.initHeader('Cookie', document.cookie);
    YAHOO.util.Connect.asyncRequest('GET',  '<?php e(HTTP_ACTION); ?>admin/contact/send/<?php e($this->_vars['request']['id']); ?>/json/<?php e(US); ?>page='+ page + '&<?php e($this->_vars['query']); ?>', callback);
}

function trigger(page) {
    barrel(page)
}

YAHOO.util.Event.onDOMReady(function () {
    trigger(0);
});
</script>
<?php endif; ?>
						<div class="listrow">
							<label class="column"><?php _e('Subject'); ?>:</label>
							<div class="fdata"><?php e($this->_vars['sys_message']['subject']); ?></div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Send Type'); ?>:</label>
							<div class="fdata"><?php e($this->_vars['types'][$this->_vars['sys_message']['send_type']]); ?></div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Body'); ?>:</label>
							<div class="fdata"><?php HTML::htmlBody($this->_vars['sys_message']['body']); ?></div>
						</div>
<?php
    $_avails = array(
        STATUS_ENABLE=>  _('Enable'),
        STATUS_DISABLE=> _('Disable'),
        ''=> _('No Select'),
    );
    $_mailings = array(
        STATUS_ENABLE=>  _('Receive'),
        STATUS_DISABLE=> _('Not receive'),
        ''=> _('No Select'),
    );

    $_lastName  = empty($this->_vars['r_viw_account']['last_name'])? '':$this->_vars['r_viw_account']['last_name'];
    $_firstName = empty($this->_vars['r_viw_account']['first_name'])? '':$this->_vars['r_viw_account']['first_name'];
    $_nickname  = empty($this->_vars['r_viw_account']['nickname'])? '':$this->_vars['r_viw_account']['nickname'];
    $_email     = empty($this->_vars['r_viw_account']['email'])? '':$this->_vars['r_viw_account']['email'];
    $_avail     = empty($this->_vars['r_viw_account']['avail'])? '':$this->_vars['r_viw_account']['avail'];
    $_mailing   = empty($this->_vars['r_viw_account']['mailing'])? '':$this->_vars['r_viw_account']['mailing'];
?>

						<div class="listplain"><h2><img src="<?php e(BASE_URL); ?>resource/img/icons/user_find.gif" width="16" height="16" align="absmiddle" alt="&gt;" />&nbsp;<?php _e('Target'); ?></h2></div>
						<div class="listplain">
							<label class="column"><?php _e('Last Name'); ?>:</label>
							<div class="fdata"><input type="text" name="last_name" value="<?php e(RKT_Crypt::getDecrypted($_lastName)); ?>" size="38" /></div>
						</div>
						<div class="listplain">
							<label class="column"><?php _e('First Name'); ?>:</label>
							<div class="fdata"><input type="text" name="first_name" value="<?php e(RKT_Crypt::getDecrypted($_firstName)); ?>" size="38" /></div>
						</div>
						<div class="listplain">
							<label class="column"><?php _e('Nickname'); ?>:</label>
							<div class="fdata"><input type="text" name="nickname" value="<?php e($_nickname); ?>" size="38" /></div>
						</div>
						<div class="listplain">
							<label class="column"><?php _e('E-mail'); ?>:</label>
							<div class="fdata"><input type="text" name="email" value="<?php e(RKT_Crypt::getDecrypted($_email)); ?>" size="38" /></div>
						</div>
						<div class="listplain">
							<label class="column"><?php _e('Avail'); ?>:</label>
							<div class="fdata"><?php HTML::radio('avail', $_avails, $_avail, '<br />'); ?></div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Notifications'); ?>:</label>
							<div class="fdata"><?php HTML::radio('mailing', $_mailings, $_mailing, '<br />'); ?></div>
						</div>
<?php if (empty($this->_vars['start'])): ?>
						<div class="listplain">
							<input name="start" type="submit" value="<?php _e('Send'); ?>" style="width:120px;" />&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="submit" name="<?php e($this->_vars['action']['goback']); ?>" value="<?php _e('Go back'); ?>" style="width:100px;" />
						</div>
<?php endif; ?>
					<img src="<?php Theme::Path(); ?>itemBottom.png" width="530" height="10" alt="___" align="top" /></form>



